#!/usr/bin/env node

const defaults = {
    rootToot: '109574160582937075',
    tootSource: 'fosstodon.org',
    fragment: 'false',
}

const { execSync } = require('node:child_process')
const queryparser = require('node:querystring')

console.log('Content-type:text/html\r\n\r\n')
const query = queryparser.parse(process.env.QUERY_STRING)

const args = { ...defaults, ...query }

const commentsHtml = execSync(`node /home/mycrobe/cms/src/mastodonComments.js --fragment ${args.fragment} --rootToot ${args.rootToot} --tootSource ${args.tootSource} --title "${args.title}" --backlink "${args.backlink}"`).toString()

console.log(commentsHtml)
