const { convert } = require('html-to-text');
const options = { wordwrap: 65 }

const count = (number, emoji) => {
  if (number) {
    return `${emoji} ${number}`
  }
  return ''
}

module.exports = (data) => `
> ${convert(data.content, options).replace(/\n/gm, '\n> ')}

=> ${data.url} ${data.date} ${data.attachments && `-- ${data.attachments.length} attachment(s)`}
=> ${data.account.url} ${convert(data.account.displayName)} ${data.account.user}
${count(data.counts.replies, '💬')}  ${count(data.counts.reblogs, '♻️')}  ${count(data.counts.favourites,'❤️')}


`
