#!/usr/bin/env node

const defaults = {
    rootToot: '109574160582937075',
    tootSource: 'fosstodon.org',
    fragment: 'false',
}

const { execSync } = require('node:child_process')
const queryparser = require('node:querystring')

console.log('20 text/gemini\r\n')
try {
const query = queryparser.parse(process.env.QUERY_STRING)

const args = { ...defaults, ...query }

const commentsHtml = execSync(`node /home/mycrobe/cms/src/mastodonComments.js --fragment ${args.fragment} --rootToot ${args.rootToot} --tootSource ${args.tootSource} --title "${args.title}" --backlink "${args.backlink}" --format gemini`).toString()

console.log(commentsHtml)
}
catch (e) {
console.log("```")
console.log(e)
console.log(args)
console.log(process.env.QUERY_STRING)
}
