window.MYCROBE = {
  comments: function(el, meta, title) {
    var rootToot, tootSource, req, callback, queryString;
    if (!meta) { 
      console.log('no comments for this post');
      return;
    }
    title = title || '';
    rootToot = meta.rootToot;
    tootSource = meta.tootSource;
    if (!rootToot || !tootSource) {
      console.error("missing necessary data to get comments");
      return;
    }
    el.innerHTML = "  <p>Loading comments for toot " + rootToot + " from " + tootSource + "</p>";
    
    callback = function() {
      el.innerHTML = "  <h2>Comments</h2>\n" + this.responseText;
    }

    queryString = 'fragment=true&rootToot=' + rootToot + '&tootSource=' + tootSource + "&title" + title + "&ts=" + new Date().getTime();
    req = new XMLHttpRequest();
    req.addEventListener("load", callback);
    req.open("GET", "../cgi-bin/comments.html.cgi?" + queryString);
    req.send();
  }
}


