module.exports = (title, content, data, relativeUrl) => 
`# ${title}
${data.date} - ${data.location}

${content}

${data.metadata && `
=> ../cgi-bin/comments.gmi.cgi?rootToot=${data.metadata.rootToot}&tootSource=${data.metadata.tootSource}&title=${encodeURIComponent(title)}&backlink=${encodeURIComponent(relativeUrl)} Comments
`}
### Nav
=> .. 🏠 Journal home
${data.next ? '=> ' + data.next + ' ➡️ Next' : ''}
${data.prev ? '=> ' + data.prev + ' ⬅️ Prev' : ''}

### Tags
${data.tags.map(tag => `=> ../tags/${tag}/ ${tag}`).join('\n')}
`
